Application: gvSIG desktop - gvSIG bugs #2980
Mapsheets plugin and the new layout
11/07/2014 08:33 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Cesar Martinez Izquierdo

Category: Document map sheets

Target version: 2.2.0-2310

Severity: Major Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2254 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

When we create the grid from the map sheets plugin, when we accept to create the layout and it opens a new layout document there's
a little incompatibility. It asks about the page configuration and what view we want to add, but it would have to ask only about the page
configuration (like the old layout). The view inserted will be the view that has the grid.

Related issues:
Related to Application: gvSIG desktop - gvSIG add-on requests # 3462: New add... Closed 05/08/2015
Related to Application: gvSIG desktop - gvSIG bugs # 3491: The page can't be ... Closed 05/20/2015

Associated revisions

Revision 376 - 05/08/2015 12:46 PM - Cesar Martinez Izquierdo

Add a specific layout panel to separate generic behaviour that can be extended and specific behaviour that should not. Fixes #2980

History

#1 - 12/10/2014 11:56 AM - Alvaro Anguix

- Category set to Document map sheets

#2 - 04/24/2015 12:06 PM - Alvaro Anguix
- File B5_Series de mapas.pdf added

El mayor problema de esto que comenta Mario es que el nuevo layout o layout plantilla para MapSheets se genera siempre con una Vista (existente o
nueva) que tapa todos los elementos que automaticamente genera la plantilla (la Vista que representa el cuadrante de la cuadricula o rejilla, el
numero de cuadrante...)

Por tanto al usuario le puede parecer que "no va". La solucién de usuario es borrar la Vista que se ha insertado automaticamente en el layout
plantilla.

Por si no has tocado la extension de Series de mapas / MapSheets, adjunto su manual.

#3 - 04/24/2015 12:06 PM - Alvaro Anguix
- Target version set to 2.2.0-2311-rc2

#4 - 04/29/2015 05:21 PM - Joaquin del Cerro Murciano
- Severity changed from Minor to Major
- Target version changed from 2.2.0-2311-rc2 to 2.2.0-2310
- Priority changed from Normal to High

#5 - 05/08/2015 11:52 AM - Cesar Martinez Izquierdo
- Status changed from New to In progress

#6 - 05/08/2015 12:46 PM - Cesar Martinez lzquierdo
- Status changed from In progress to Fixed

#7 - 05/08/2015 01:33 PM - Cesar Martinez Izquierdo
- Related to gvSIG add-on requests #3462: New add-on for org.gvsig.app.document.layout2.app.mainplugin-2.0.49-68 added

#8 - 05/25/2015 04:15 PM - Alvaro Anguix

- Status changed from Fixed to New
- File gvSIG.log added

Aunque ahora pregunta directamente por el grid, si aceptamos sin configurar pagina dar un error. Adjunto log.

Crea el mapsheet, pero cuando das ok salta el error y parece que no hace nada...tienes que abrir el gestor de proyecto para ir a MapSheets y abrirlo.

Ademas el bug #3491 hace que no sea usable, ya que no se puede definir el tamafo de pagina.

#9 - 05/25/2015 04:15 PM - Alvaro Anguix
- Related to gvSIG bugs #3491: The page can't be configured at the Mapsheets plugin added

#10 - 05/27/2015 11:20 AM - Cesar Martinez Izquierdo
- Status changed from New to In progress

#11 - 05/27/2015 01:55 PM - Cesar Martinez lzquierdo
- Status changed from In progress to Fixed

#12 - 05/28/2015 06:50 PM - Alvaro Anguix
¢ Se ha hecho un paquete de esto y se ha incluido en el dltimo build?

Al probarlo funciona igual (con el bug) de antes.

#13 - 06/02/2015 01:31 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files
B5_Series de mapas.pdf 306 KB 04/24/2015 Alvaro Anguix
gvSIG.log 386 KB 05/25/2015 Alvaro Anguix

05/17/2024

22



